Main Menu

Using Flash in Steam on 64-Bit Distributions

I get an error when I try to watch a game trailer on 64-bit versions of Ubuntu. How do I fix this?

On Ubuntu 12.04.1 (64-bit) the Flash player does not work when viewing trailers from the Store page. This also occurs on other 64-bit distributions and is related to the fact that Steam for Linux is a 32-bit application.

The workaround is to provide the 32-bit version of the Flash plugin to the Steam client. The following procedure details the steps:

  1. Close Steam
  2. Download the install_flash_player_11_linux.i386.tar.gz package from the Adobe site
  3. Create a new directory (called plugins) in ~/.steam/bin
  4. Extract flashlibplayer.so from the downloaded package into the new plugins directory
  5. Restart Steam

Note If you still get an error, you might need to install the libxt6:i386 package. For Ubuntu distributions, the command would be: sudo apt-get install libxt6:i386

Problem with Steam?

Contact Steam Support